Subject: Re: [RFC] Documentation: add documentation for rc-series and merge window

From: Pavel Machek <[email-masked]>
Date: Sun, 21 Jun 2009 08:24:58 +0200

> > Non-intrusive bugfixes _are_ welcome after -rc1.
> 
> That's great news to me.
> 
> I think it would really help to get a clarification on what is meant
> by "non-intrusive bugfixes" though. Can you elaborate on that?

Typo fix in printk() is non-intrusive, 'apply this series' is
borderline; if issue is bad enough it may be ok. I guess only Linus
can clarify more.

> >> > Non-intrusive bugfixes too, afaict.
> >>
> >> It really depends on what you mean but generally no, and this is why I
> >> think this clarification is important.
> >
> > I believe you are wrong.
> 
> I was actually hoping I would be. But I'd like some confirmation that I am.
> 
> For example, based on your feedback we have a series of fixes we'd
> like to try to get merged for 2.6.31-rc2 for ath9k. I have been under
> the impression that since those fixes do not meet the criteria
> clarified by my original patch on documentation for the rc-series that
> they would not get merged and our only option to get users to get
> these patches is to wait for 2.6.32 or use some sort of bleeding edge
> backport package. We try hard to get out our patches in time prior

I believe 'no git merges after rc1' is one of rules.
									Pavel

-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html